NXP NFC Reader Library v4.040.05.011646

Modules | Data Structures | Macros | Functions
component : Pn5180
Hardware Abstraction Layer

Pn5180 HAL component. More...

Collaboration diagram for component : Pn5180:

## Modules
| Instruction
| Pn5180 Instruction functions.
| Internal
| Pn5180 Int functions.

## Data Structures
struct | phhalHw_Pn5180_DataParams_t
| PN5180 HAL component. More...

## Macros
#define | PHHAL_HW_PN5180_ID 0x0E
| ID for PN5180 HAL component.
#define | PHHAL_HW_PN5180_DEFAULT_TIMEOUT 150U
| Default timeout in microseconds. More...
#define | PHHAL_HW_PN5180_DEFAULT_TIMEOUT_MILLI 50U
| Default timeout in milliseconds.
#define | PHHAL_HW_PN5180_SHADOW_COUNT 0x10U
| Pn5180 Shadow Register count.
#define | INSTR_BUFFER_SIZE 262
| Used to form commands 259-Max buf size in writeregmultiple.

## Functions
phStatus_t | phhalHw_Pn5180_Init (phhalHw_Pn5180_DataParams_t *pDataParams, uint16_t wSizeOfDataParams, void *pBalDataParams, void *pKeyStoreDataParams, uint8_t *pTxBuffer, uint16_t wTxBufSize, uint8_t *pRxBuffer, uint16_t wRxBufSize)
| Initializes the PN5180 HAL component. More...
phStatus_t | phhalHw_Pn5180_SetListenParameters (phhalHw_Pn5180_DataParams_t *pDataParams, uint8_t *pSensRes, uint8_t *pNfcId1, uint8_t bSelRes, uint8_t *pPollingResp, uint8_t bNfcId3)
| PN5180 implementation of phhalHw_SetListenParameters. More...

## Detailed Description

Pn5180 HAL component.

## Macro Definition Documentation

## § PHHAL_HW_PN5180_DEFAULT_TIMEOUT

#define PHHAL_HW_PN5180_DEFAULT_TIMEOUT 150U

Default timeout in microseconds.

## Function Documentation

## § phhalHw_Pn5180_Init()

phStatus_t phhalHw_Pn5180_Init | ( | phhalHw_Pn5180_DataParams_t * | pDataParams,
|  | uint16_t | wSizeOfDataParams,
|  | void * | pBalDataParams,
|  | void * | pKeyStoreDataParams,
|  | uint8_t * | pTxBuffer,
|  | uint16_t | wTxBufSize,
|  | uint8_t * | pRxBuffer,
|  | uint16_t | wRxBufSize
| ) |  |

Initializes the PN5180 HAL component.

This function has to be called as part of the initialization of the HAL layer of the application that intends to use the PN517 as the reader IC front end.

Parameters

  [in] | pDataParams | Pointer to data parameter of this HAL layer
  [in] | wSizeOfDataParams | Size of the data parameter of the structure that was passed
  [in] | pBalDataParams | Pointer to the lower layer parameter(BAL) structure
  [in] | pKeyStoreDataParams | Pointer to the parameter structure of the keyStore layer.
  [in] | pTxBuffer | Pointer to global transmit buffer that will be used by Exchange()
  [in] | wTxBufSize | size of the global transmit buffer
  [in] | pRxBuffer | Pointer to global receive buffer that will be used by Exchange()
  [in] | wRxBufSize | Size of the global receive buffer

## § phhalHw_Pn5180_SetListenParameters()

phStatus_t phhalHw_Pn5180_SetListenParameters | ( | phhalHw_Pn5180_DataParams_t * | pDataParams,
|  | uint8_t * | pSensRes,
|  | uint8_t * | pNfcId1,
|  | uint8_t | bSelRes,
|  | uint8_t * | pPollingResp,
|  | uint8_t | bNfcId3
| ) |  |

PN5180 implementation of phhalHw_SetListenParameters.

See also
  phhalHw_SetListenParameters

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pSensRes | 2 bytes.
  [in] | pNfcId1 | 3 bytes; The first NfcId1 byte is fixed to `08h` and the check byte is calculated automatically.
  [in] | bSelRes | 1 byte.
  [in] | pPollingResp | 2 bytes (shall be 01h, FEh) + 6 bytes NfcId2 + 8 bytes Pad + 2 bytes SystemCode.
  [in] | bNfcId3 | 1 byte.